I5OSSoftwareComponent (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.i5OS.I5OSSoftwareComponent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.i5OS
Interface I5OSSoftwareComponent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareComponent

    public interface I5OSSoftwareComponent

extends SoftwareComponent

Represents instance of i5 (OS/400) licensed program. Many of them, such as 5769SS1 or 5722SS1, have different product option numbers that are associated with different installed program features. 5769SS1 and 5722SS1 Option 18, for example, is 'OS/400 - Media and Storage Extensions' while Option 30 is 'OS/400 - QShell Interpreter'. And many other i5/OS (OS/400) programs, including the IBM Developer Kit for Java (5722JV1) or Lotus Domino 7 (5733LD7), also contain several different product options that enable different features.

Naming Rules:
  0="i5operatingSystem,name,release,option"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getFeature()` The feature ID for the product.
`I5OperatingSystem` | `getI5operatingSystem()`
`java.lang.String` | `getOption()` A number indicating the optional part of the installed software product.
`java.lang.String` | `getRelease()` The release level of the product.
`boolean` | `hasFeature()`
`boolean` | `hasI5operatingSystem()`
`boolean` | `hasOption()`
`boolean` | `hasRelease()`
`void` | `setFeature(java.lang.String x)`
`void` | `setI5operatingSystem(I5OperatingSystem x)`
`void` | `setOption(java.lang.String x)`
`void` | `setRelease(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.sys.SoftwareComponent
`getExecutableName, getExit, getExitLocal, getGroup, getInstalledDate, getName, getParent, getPublisher, getSoftwareVersion, getType, hasExecutableName, hasExit, hasExitLocal, hasGroup, hasInstalledDate, hasName, hasParent, hasPublisher, hasSoftwareVersion, hasType, setExecutableName, setExit, setExitLocal, setGroup, setInstalledDate, setName, setParent, setPublisher, setSoftwareVersion, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getI5operatingSystem

    I5OperatingSystem getI5operatingSystem()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setI5operatingSystem

    void setI5operatingSystem(I5OperatingSystem x)

### hasI5operatingSystem

    boolean hasI5operatingSystem()

### getOption

    java.lang.String getOption()
                               throws AttributeNotSetException

  A number indicating the optional part of the installed software product. All IBM-supplied licensed programs have a base part and may have one or more numbered optional parts.

  Throws:
    `AttributeNotSetException`

### setOption

    void setOption(java.lang.String x)

### hasOption

    boolean hasOption()

### getRelease

    java.lang.String getRelease()
                                throws AttributeNotSetException

  The release level of the product. The release level must be in VxRxMy format, where V represents version, R represents release, and M represents modification. Valid values for x are 0 through 9. Valid values for y are 0 through 9 and A through Z.

  Throws:
    `AttributeNotSetException`

### setRelease

    void setRelease(java.lang.String x)

### hasRelease

    boolean hasRelease()

### getFeature

    java.lang.String getFeature()
                                throws AttributeNotSetException

  The feature ID for the product.

  Throws:
    `AttributeNotSetException`

### setFeature

    void setFeature(java.lang.String x)

### hasFeature

    boolean hasFeature()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD